LeadSail
Clients

Get a client

GET
/api/v1/clients/{clientId}

Authorization

ApiKeyAuth
X-API-Key<token>

API key generated from your Vayaflow dashboard Settings page

In: header

Path Parameters

clientId*string

The client ID

Response Body

application/json

application/json

application/json

package mainimport (  "fmt"  "net/http"  "io/ioutil")func main() {  url := "https://api.leadsail.app/api/v1/clients/string"  req, _ := http.NewRequest("GET", url, nil)    res, _ := http.DefaultClient.Do(req)  defer res.Body.Close()  body, _ := ioutil.ReadAll(res.Body)  fmt.Println(res)  fmt.Println(string(body))}
{
  "success": true,
  "data": {
    "clientId": "string",
    "name": "string",
    "abbrev": "string",
    "active": true,
    "contactName": "string",
    "contactEmail": "user@example.com",
    "contactPhone": "string",
    "address": {
      "street": "string",
      "city": "string",
      "state": "string",
      "zip": "string",
      "country": "string"
    },
    "settings": {
      "defaultPostingUrl": "http://example.com",
      "postingMethod": "http",
      "acceptDuplicates": true,
      "maxLeadsPerDay": 0,
      "maxLeadsPerMonth": 0,
      "timezone": "string",
      "notificationEmail": "user@example.com",
      "sendDailyReport": true
    },
    "description": "string",
    "tags": [
      "string"
    ],
    "externalId": "string",
    "createdAt": "string",
    "updatedAt": "string",
    "archivedAt": "string"
  }
}
{
  "success": false,
  "error": {
    "code": "UNAUTHORIZED",
    "message": "Authentication required"
  }
}
{
  "success": false,
  "error": {
    "code": "NOT_FOUND",
    "message": "Resource not found"
  }
}